### Figure 3.1 
library(MASS)
x = seq(-15,15,0.1)
y = seq(-15,15,0.1)
R = matrix(nrow = length(x), ncol = length(y))
Var.V = c(5,1,2)
p = c(2,2,1)
theta = c(0.5,2,1)
sample = matrix(nrow = length(x), ncol = length(theta))
set.seed(6)
for (s in 1:3){
  for (i in 1:length(x)){
    for (j in 1:length(y)){
      R[i,j] = Var.V[s]*exp(-((abs(x[i]-y[j])/theta[s])^p[s])/2)
    }
  }
  sample[,s] = mvrnorm(n = 1, mu = rep(0,length(x)), Sigma = R) 
}
pdf('samplepath.pdf')
matplot(x,sample,type = 'l', lwd = 2, lty = c(1,2,1), col = c("green","blue","black"),xlab = 'input, s', ylab = 'output, V(s)',cex.axis = 1.33, cex.lab = 1.33)
legend('topright', legend = c(expression(paste(sigma[V]^2,' = 5, ',theta,' = 0.5, p = 2')),expression(paste(sigma[V]^2,' = 1, ',theta,' = 2, p = 2')),expression(paste(sigma[V]^2,' = 2, ',theta,' = 1, p = 1'))), lty = c(1,2,1), col = c("green","blue","black"), lwd = 2,y.intersp=1.5, cex = 0.75)
dev.off()