################################################################################
#File Description: 
#This file generates the Tables 3.5 - 3.8
################################################################################
getwd()
setwd("H:/DingBook/Files Sharing/Code Used in the Book/Chapter3/")

##Read files from individual periods
LLmat = matrix(nrow=4,ncol=2)
colnames(LLmat) = c("ASYM","SEP")
rownames(LLmat) = c("Period 1","Period 2","Period 3","Period 4")

RMSE = MAE = RMSE_p = matrix(nrow=6*4,ncol=7)
RMSE[1:6,1]=1;RMSE[7:12,1]=2;RMSE[13:18,1]=3;RMSE[19:24,1]=4
MAE[1:6,1]=1;MAE[7:12,1]=2;MAE[13:18,1]=3;MAE[19:24,1]=4
RMSE_p[1:6,1]=1;RMSE_p[7:12,1]=2;RMSE_p[13:18,1]=3;RMSE_p[19:24,1]=4

aa = 1
for(i in 1:4){
  temp1 = as.numeric(read.table(paste("temp/Table3.5_Period",i,".txt",sep=""),header=F)$V1)
  temp2 = as.matrix(read.table(paste("temp/Table3.6_Period",i,".txt",sep=""),header=F),nrow=6,ncol=5)
  temp3 = as.matrix(read.table(paste("temp/Table3.7_Period",i,".txt",sep=""),header=F),nrow=6,ncol=5)
  temp4 = as.matrix(read.table(paste("temp/Table3.8_Period",i,".txt",sep=""),header=F),nrow=6,ncol=5)
  LLmat[i,] = temp1
  RMSE[aa:(aa+5),2:6] = temp2
  MAE[aa:(aa+5),2:6] = temp3
  RMSE_p[aa:(aa+5),2:6] = temp4
  aa = aa + 6
}

##Computing percentage improvements
indices = seq(1,5,1);jstar=6
for(i in 1:4){
  for(j in indices){
    RMSE[j,7] = round(((RMSE[j,6] - RMSE[jstar,6])/RMSE[j,6])*100,1)
    MAE[j,7] = round(((MAE[j,6] - MAE[jstar,6])/MAE[j,6])*100,1)
    RMSE_p[j,7] = round(((RMSE_p[j,6] - RMSE_p[jstar,6])/RMSE_p[j,6])*100,1)
  }
  indices = indices + 6
  jstar = jstar + 6
}
rownames(RMSE) = rownames(MAE) = rownames(RMSE_p) = rep(c("ASYM","SEP","PER","ARMA(1,1)","SVM","HYB"),4)
colnames(RMSE) = colnames(MAE) = colnames(RMSE_p) = c("Period","h=1","h=2","h=3","h=4","Average","% IMP")


##Saving Final Tables
write.table(LLmat,file="Table3.5.txt",col.names = T,row.names = T)
write.table(RMSE,file="Table3.6.txt",col.names = T,row.names = T)
write.table(MAE,file="Table3.7.txt",col.names = T,row.names = T)
write.table(RMSE_p,file="Table3.8.txt",col.names = T,row.names = T)

