Instructions for running GSTAR:

Create an environmental variable named GSTAR: On Mac computers, add 
		
		export GSTAR="~/GSTAR/"

to your ~/.bash_profile. On Windows, use "Advanced system settings-->Environment Variables". The name of the environmental variable must be "GSTAR," however you can use any name for the folder, say export GSTAR="~/my_codes/".


Inside the GSTAR folder, there must be two folders: a) "codes", which contains "functions.R" and "GSTAR_script.R", and b) "data", which contains the config files, coordinates, and input data. The folder "output" is optional, which saves the results. 


To run the codes, in the terminal run

	Rscript GSTAR_script.R -c ["m"/"s"/"l"] -y [1/2] -s [0/1] -r [0/1] -v [0/1]

The flag -c is to choose the config file: 
	"m": mini config, only five combinations
	"s": small config, only twenty five combinations
	"l": large config, all (approximately) five thousand combinations (this setting is used for the tables in the book).
	For each row in the config file we have:
		im: month
		h: forecast horizon
		turbine: turbine number
		e: epoch (we randomly choose one epoch for each (im,h,turbine)-combination)
		runarma: if 1 it runs arma (approximately 25% of rows)

The flag -y is to choose a year, 1 for 2009, and 2 for 2010

The flag -s is to save the output (1), or just to display the final results (0)

The flag -r is for crps

The flag -v os for varying alpha 

/////
/////
To generate Table 3.1:
	for 2009:
		>> Rscript GSTAR_script.R -c "l" -y 1
	for 2010:
		>> Rscript GSTAR_script.R -c "l" -y 2


To generate Table 3.2:
	>> Rscript GSTAR_script.R -c "l" -y 1 -r 1

To generate Table 3.3:
	>> Rscript GSTAR_script.R -c "l" -y 1 -v 1

To generate Figure 3.3
	>> Rscript plots_.R -t 15 
/////
/////
Libraries needed
	library(getopt)
	library(data.table)
	library(stats)
	library(plyr)
	library(forecast)
	library(ggplot2)
	library(reshape2)
	library(NISTunits)
	library(vars)
	library(rdist)
	library(VGAM)